curl --request GET \
--url https://api.paytsoftware.com/v1/health_care/treatments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paytsoftware.com/v1/health_care/treatments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paytsoftware.com/v1/health_care/treatments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/health_care/treatments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/health_care/treatments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.paytsoftware.com/v1/health_care/treatments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/health_care/treatments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"administration_id": "<string>",
"declaration_line_identifier": "<string>",
"reference_number": "<string>",
"kind": "original",
"credit_treatment_ids": [
"<string>"
],
"superseded": true,
"treatment_code": "<string>",
"claimed_amount": "<string>",
"return_codes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"predecessor_id": "<string>",
"credited_treatment_id": "<string>",
"treatment_date": "2023-12-25",
"description": "<string>",
"prestation_count": 123,
"element_code": "<string>",
"surface_code": "<string>",
"jaw_indication": "<string>",
"special_dentistry_indication": "<string>",
"special_dentistry_type": "<string>",
"practitioner_agb_code": "<string>",
"performing_practitioner_agb_code": "<string>",
"authorization_number": "<string>",
"reimbursed_amount": "<string>",
"payable_by_insured_amount": "<string>",
"rejected_amount": "<string>",
"deeplink_url": "<string>"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Get administration treatments
Lists the treatments of the administration’s declaration lines. A treatment is never changed by a resubmission, revision or credit: those add a treatment to the same declaration line, linked to the treatment it follows up on. The treatment without a successor (superseded is false) holds the values the health insurer received last.
curl --request GET \
--url https://api.paytsoftware.com/v1/health_care/treatments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paytsoftware.com/v1/health_care/treatments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paytsoftware.com/v1/health_care/treatments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/health_care/treatments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/health_care/treatments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.paytsoftware.com/v1/health_care/treatments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/health_care/treatments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"administration_id": "<string>",
"declaration_line_identifier": "<string>",
"reference_number": "<string>",
"kind": "original",
"credit_treatment_ids": [
"<string>"
],
"superseded": true,
"treatment_code": "<string>",
"claimed_amount": "<string>",
"return_codes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"predecessor_id": "<string>",
"credited_treatment_id": "<string>",
"treatment_date": "2023-12-25",
"description": "<string>",
"prestation_count": 123,
"element_code": "<string>",
"surface_code": "<string>",
"jaw_indication": "<string>",
"special_dentistry_indication": "<string>",
"special_dentistry_type": "<string>",
"practitioner_agb_code": "<string>",
"performing_practitioner_agb_code": "<string>",
"authorization_number": "<string>",
"reimbursed_amount": "<string>",
"payable_by_insured_amount": "<string>",
"rejected_amount": "<string>",
"deeplink_url": "<string>"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Query Parameters
Administration identifier
ISO8601 UTC Timestamp to filter records created before it
ISO8601 UTC Timestamp to filter records created after it
Filter treatments with a comma separated list of declaration line identifiers
Filter treatments with a comma separated list of internal ids
ISO8601 UTC Timestamp to filter records updated after it
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
The record identifier after which to start the page
How many records will be returned per page, (1..500), defaults to 100
1 <= x <= 500Was this page helpful?